SDL Library Documentation
Prev |  | Next

# SDL_JoystickGetBall

## Name

SDL_JoystickGetBall -- Get relative trackball motion

## Synopsis

    #include "SDL.h"

``int SDL_JoystickGetBall`(SDL_Joystick *joystick, int ball, int *dx, int *dy);`

## Description

Get the `ball` axis change.

Trackballs can only return relative motion since the last call to `SDL_JoystickGetBall`, these motion deltas a placed into `dx` and `dy`.

## Return Value

Returns 0 on success or -1 on failure

## Examples

    int delta_x, delta_y;
    SDL_Joystick *joy;
    .
    .
    .
    SDL_JoystickUpdate();
    if(SDL_JoystickGetBall(joy, 0, &delta_x, &delta_y)==-1)
      printf("TrackBall Read Error!\n");
    printf("Trackball Delta- X:%d, Y:%d\n", delta_x, delta_y);

## See Also

`SDL_JoystickNumBalls`

Prev | Home | Next
SDL_JoystickGetButton | Up | SDL_JoystickClose